mod context;

#[cfg(feature="internal")]
pub mod internal;

#[cfg(feature="external")]
pub mod external;

//lazy reexport
pub type ReqwestError=reqwest::Error;

#[derive(Debug)]
pub enum Error{
	ParseError(url::ParseError),
	Reqwest(reqwest::Error),
}
impl std::fmt::Display for Error{
	fn fmt(&self,f:&mut std::fmt::Formatter<'_>)->std::fmt::Result{
		write!(f,"{self:?}")
	}
}
impl std::error::Error for Error{}
